import request from '@/utils/request'

// 查询维修工单流转记录列表
export function listRepairOrderFlow(query) {
  return request({
    url: '/gxt/repairOrderFlow/list',
    method: 'get',
    params: query
  })
}

// 查询维修工单流转记录详细
export function getRepairOrderFlow(id) {
  return request({
    url: '/gxt/repairOrderFlow/' + id,
    method: 'get'
  })
}

// 新增维修工单流转记录
export function addRepairOrderFlow(data) {
  return request({
    url: '/gxt/repairOrderFlow',
    method: 'post',
    data: data
  })
}

// 修改维修工单流转记录
export function updateRepairOrderFlow(data) {
  return request({
    url: '/gxt/repairOrderFlow',
    method: 'put',
    data: data
  })
}

// 删除维修工单流转记录
export function delRepairOrderFlow(id) {
  return request({
    url: '/gxt/repairOrderFlow/' + id,
    method: 'delete'
  })
}
